[fglrx] Title bar does not update on non-maximized windows

Reported by Kevin Knerr on 2011-04-25
630
This bug affects 150 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
Łukasz Zemczak
Compiz Core
Status tracked in 0.9.7
0.9.7
Medium
Łukasz Zemczak
One Hundred Papercuts
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Łukasz Zemczak
Precise
Undecided
Łukasz Zemczak
compiz (openSUSE)
New
Undecided
Unassigned

Bug Description

[Impact]
The following bug has high impact on all users using fglrx ATI drivers since a long time. For every user using this proprietary driver the window decorations will not update besides on window resize - which is very confusing, since it's hard to know which window is currently focused, or what the correct title of the window should be. This greatly impacts the Ubuntu user experience.

[Development Fix]
Since we are dealing with a driver problem (which has already been addressed and is being analyzed with ATI), we decided on at least a workaround for this problem. Since the bug is caused by changes to a Pixmap not being passed to the underlying GLXPixmap (which happens for certain sizes and only certain Pixmaps), we force the rebinding of the decorator pixmap on decoration damage events.
This ensures that the underlying texture is modified when needed.
In order to workaround this problem, the compiz package was modified. The fix is being proposed in version 1:0.9.7.6-0ubuntu2. An earlier version of the package has also been tested by users from a local PPA (ppa:sil2100/ppa), version 1:0.9.7.4-0ubuntu4~fglrxfix2.

[Stable Fix]
The stable version of the workaround has been already proposed as a distro patch for the latest compiz package (lp:compiz).

[Test Case]
To reproduce the bug, an Radeon graphics card is required, as well as using the proprietary fglrx driver:
- Open any number of applications
- Try switching focus between them
  -> Most (or even all) windows do not change their window decorations (title bar) to indicate which is currently focused
- Open a terminal
- Change the current directory
  -> The title bar remains unchanged, even though it should indicate the current working directory

For more test-cases, see original bug-description below.

[Regression Potential]
The introduced workaround fix has no potential regression possibilities. On non-fglrx systems, there might be an really small, additional performance footprint - since the texture is being rebound when not really needed. But it has absolutely no impact on the user experience.

- Original description:

Binary package hint: unity

I previously reported this as https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/768860. Further investigation on my part suggests the issue is with unity-window-decorator.

The title bar is not updated on non-maximized windows unless the decorator is forced to redraw the title bar--usually on losing focus. I have confirmed this with GNOME-Terminal, GIMP, Firefox, and Geeqie.

To reproduce:
GIMP: Open a file. Modify it. Unless you switched to the Toolbox window, the image name doesn't get a prepended "*" to indicate the file has changed. Save it with CTRL-S. The "*" will not disappear until the window loses focus.

Firefox: Open sites on multiple tabs. Switch between tabs as often as you like. The title bar text will not change unless the window loses focus. Maximize the Firefox window. Switch between tabs. The global menu title bar text will now change with each tab.

GNOME-Terminal: Open a terminal. Change directories. Notice that the directory shown in the title bar does not match what is reported by `pwd`.

Geeqie: Go to a directory with images. The title bar should change to show the name of each image as its displayed. Now maximize the window. The "title bar" text changes as each image is selected.

For further testing, I chmod'ed /usr/bin/unity-window-decorator and restarted compiz-decorator to force the use of gtk-window-decorator. All title bars behaved normally (although I lost the rest of the unity interface).

Personally, I find this bug to be a show-stopper. I've been using the Unity interface for a week and this is one of the two issues that would keep me using the "classic" GNOME interface instead of Unity.

This may be a duplicate of https://bugs.launchpad.net/unity/+bug/768356 but I was unable to append any comments to that bug. That report was also specific to Firefox, which I think is a bit misleading since the issue affects all applications which provide feedback via the title bar.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.10-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Mon Apr 25 08:33:15 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard:
 ATI Technologies Inc RS880 [Radeon HD 4200] [1002:9710] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:2ab1]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
InstallationMedia___: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
JockeyStatus: xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Enabled, In use)
MachineType: Hewlett-Packard p6774y
ProcEnviron:
 LANGUAGE=en_US:en
 LC_COLLATE=C
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=88b4c27c-1d88-43f6-9c45-807f05989dca ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature___: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UdevDb: Error: [Errno 2] No such file or directory
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/07/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 6.04
dmi.board.name: 2AB1
dmi.board.vendor: FOXCONN
dmi.board.version: 1.00
dmi.chassis.asset.tag: 4CE10215JX
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr6.04:bd09/07/2010:svnHewlett-Packard:pnp6774y:pvr:rvnFOXCONN:rn2AB1:rvr1.00:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: p6774y
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Kevin Knerr (ld-barthel) wrote :
Mark Frazer (mark-mjfrazer) wrote :

Note that this may not be unity specific, I am also seeing this on a Fedora Core 13 machine, at least under Gnome terminal: the window title show in the panel changes, but not the title on the window itself. Changing tabs in firefox updates the title bar no problem.

gnome-terminal-2.30.1-1.fc13.i686
libgnome-2.30.0-1.fc13.i686
libgnomeui-2.24.3-1.fc13.i686
firefox-3.6.16-1.fc13.i686

Mark Frazer (mark-mjfrazer) wrote :

My comment is only valid under screen. Without screen running in the terminal, the gnome terminal updates the title bar just fine.

Omer Akram (om26er) on 2011-05-02
affects: unity (Ubuntu) → compiz (Ubuntu)
Omer Akram (om26er) on 2011-05-02
affects: unity → compiz

Just so it is clear to anyone reading, this bug also effects the gnome 'Classic' interface. And is a major pain in the A**

Alexandru (dittoalex) wrote :

I am affected by this in Ubuntu 11.04 2.6.38-8-generic x86_64 using Gnome Classic, Compiz, and an ATI Radeon HD 4290 with the Cataylist 11.5 drivers.

Glyph Lefkowitz (glyph) wrote :

Same here. Affects me under Classic & Unity, with an ATI Radeon HD 5800, using fglrx.

Glyph Lefkowitz (glyph) wrote :

For what it's worth, this affects me with and without pretty much all of the forcing-redraw-related options in ccsm's "workarounds".

Omer Akram (om26er) on 2011-06-23
summary: - title bar does not update on non-maximized windows
+ [fglrx]title bar does not update on non-maximized windows
Changed in compiz:
status: New → Confirmed
Changed in unity:
status: New → Confirmed
Changed in compiz (Ubuntu):
status: New → Confirmed

This happens also using a hand made fglrx bundle using the 11.6 drivers from AMD:

apt-cache policy fglrx
fglrx:
  Installiert: 2:8.861-0ubuntu1
  Kandidat: 2:8.861-0ubuntu1
  Versionstabelle:
 *** 2:8.861-0ubuntu1 0
        100 /var/lib/dpkg/status
     2:8.840-0ubuntu4 0

The packages were made by entering as root:

sh ./ati-driver-installer-11-6-x86.x86_64.run --buildpkg Ubuntu/natty

and were installed using

dpkg -i fglrx_8.861-0ubuntu1_amd64.deb fglrx-dev_8.861-0ubuntu1_amd64.deb fglrx-amdcccle_8.861-0ubuntu1_amd64.deb

Kernel and headers are:

Linux sofa 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

for my part this bug was remedied by using the workaround described in

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/758609

using gconf-editor and unchecking the key "/apps/metacity/general/capture_before_unmap" after logging off and on again.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
David Raid (davidraid) wrote :

I have the same issue, though I'm completely unaffected in classic desktop, implying metacity is not at fault in most cases.

I agree that the problem is with Compiz-decorator, it's also present in gtk-window-decorator, but only when using the proprietary fglx dirver.

If you change your theme to anything that isn't Ambiance or Radiance, the problem is made worse, affecting focussed windows as well. It's as if the entire window decoration is frozen, not updating for any reason unless forced through a resize.

However, in Oneiric, this problem now exists from the very start with the open source driver and affects both Radiance and Ambiance. >.<;;;;

David Raid (davidraid) wrote :

I think it's an issue with Compiz itself. Emerald as a window decorator doesn't suffer from this.

This bug affects me too. It happens on every non-maximized windows of LibreOffice, gedit, Nautilus, etc.

A simple workaround is to maximize for a moment the window and then un-maximize it again.

apt-cache policy fglrx
fglrx:
  Installed: 2:8.881-0ubuntu4
  Candidate: 2:8.881-0ubuntu4
  Version table:
 *** 2:8.881-0ubuntu4 0
        500 http://gr.archive.ubuntu.com/ubuntu/ oneiric/restricted i386 Packages
        100 /var/lib/dpkg/status

apt-cache policy unity
unity:
  Installed: 4.22.0-0ubuntu3
  Candidate: 4.22.0-0ubuntu3
  Version table:
 *** 4.22.0-0ubuntu3 0
        500 http://gr.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status

apt-cache policy compiz
compiz:
  Installed: 1:0.9.6+bzr20110929-0ubuntu5
  Candidate: 1:0.9.6+bzr20110929-0ubuntu5
  Version table:
 *** 1:0.9.6+bzr20110929-0ubuntu5 0
        500 http://gr.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:0.9.6+bzr20110929-0ubuntu3 0

doken (doken) wrote :

This affects me too.
When windows are maximized the titles change correctly. A resize of a window will update the title, but it again is frozen.
The key "/apps/metacity/general/capture_before_unmap" is already unchecked so that's no help.
 (Ubuntu 11.10, AMD64, Radeon HD5700 flgrx)

Affects me too. Title doesn't update on non-maximized windows.

Derek White (d-man97) wrote :

Happens in 11.10 Gnome Classic running compiz & ATI 11.9 (fglrx 8.892). Shaded windows still show their window decorations. Using Ctrl+Alt+Shift+Left/Right to move windows between workspaces/viewports is also broken - window just returns to the screen it started on.

Seems like window's got totally screwed over with the Unity re-writes...and they still aren't addressing any issues they created even after a second release. 7 months and only a tiny bit of triaging on this...can't we even get a "report this upstream/to compiz/to AMD" or "we are dropping support for gnome classic, bugger off" so we know you are actively ignoring it, instead of passively ignoring it?

Daniel Lo Nigro (daniel15) wrote :

I'm encountering the same issue. Like others, maximising the window fixes it (but it's annoying to have to do this). "/apps/metacity/general/capture_before_unmap" is already unchecked for me.

Alex Cabal (acabal) wrote :

This bug affects me too, and I may have found a workaround. The report gave a hint that if they chmod'd /usr/bin/unity-window-decorator, things seem to work again, but without Compiz. That made me investigate CCSM a little bit.

If you open CCSM and go to the "Window Decoration" plugin under "Effects", you can change the path of the window decorator that Compiz uses. In my case, I changed the "Command" to /usr/bin/gtk-window-decorator instead of /usr/bin/compiz-decorator (presumably an alias for unity-window-decorator), and on first blush the problem seems to be gone.

Daniel Lo Nigro (daniel15) wrote :

Thanks Alex Cabal, that seems to fix it for me. I tried this out on my system by running in a terminal:

killall unity-window-decorator
gtk-window-decorator &

Are there any side effects of using gtk-window-decorator instead of unity-window-decorator? Will it break anything?

Alex Cabal (acabal) wrote :

Seems that I may have spoken a little too soon. My workaround does seems to fix Firefox and Thunderbird windows; I can now change tabs and the titlebar will update on both max'd and non-max'd windows. However other apps still have this problem. For example a Nautilus titlebar will update if it's max'd, but will NOT update if not. Maybe this suggests that the problem goes deeper than the window decorator.

Back in the Natty days I found a PPA that packaged an older stable version of Compiz. I wish someone would do that for Oneiric!

David Raid (davidraid) wrote :

Didn't fix it for me, I'm afraid. Strangely, I've found when I use Skype for an extended period of time, sometimes the window decorations begin to work correctly, updating themselves in real time as they should. A reboot or logout reverts it back to the broken state. Very odd.

Daniel Lo Nigro (daniel15) wrote :

Hmm, interesting. Using gtk-window-decorator seems to have fixed it for me, in Chrome and Opera at least.

Omer Akram (om26er) wrote :

Not a papercut, its a bug for which the fix is unknown.

Changed in hundredpapercuts:
status: New → Invalid
Marvin (marvin-nospam) wrote :

I think this bug is related to the following bug: https://bugs.launchpad.net/unity/+bug/879156

hunter-12 (hunter12677) wrote :

I have found that title updates normally when the window's width is greater than certain limit. This limit depends on the theme. With Ambiance/Radiance this limit is greater then 1280px, with other themes it can be about 1024px. And this bug was in openSUSE 11.4 with kde-window-decorator, so it is a compiz bug, not a unity. P.S. Sorry my very bad English.

void (void-sp) wrote :

> title updates normally when the window's width is greater than certain limit (#24)

Wow, that's actually true! Just checked it myself: on my narrow pidgin window title does not update normally, but when I made it wide enough, titlebar started to update normally. After shrinking the window, titlebar does not update again.

David Raid (davidraid) wrote :

Confirmed!!! Stretching a window's horizontal width, on an Ambiance theme, to 1280px immediately stops this problem on the resized window, immediately making window controls highlight on mouseover and the titlebar text change when appropriate (test case, nautilus when changing folder), resizing said window back to a size below that causes the freeze to return.

This MUST BE a Compiz bug.

Neil Rodgers (neilr1971) wrote :

Wow. Awesome news, hopefully this will lead to a fix for this bug. The only downside for me is that the window resizing isn't making any difference. I've tried different themes and even stretched windows across to the second desktop and the titlebars are still frozen:(

Daniel van Vugt (vanvugt) wrote :

Sounds like the decorator is not generating correct damage events for the decorations. Though I am presently using Intel graphics and can't reproduce the bug to confirm.

affects: compiz → compiz-core
Download full text (6.1 KiB)

On Fri, 3 Feb 2012, Daniel van Vugt wrote:

> Sounds like the decorator is not generating correct damage events for
> the decorations. Though I am presently using Intel graphics and can't
> reproduce the bug to confirm.
>
> ** Project changed: compiz => compiz-core
>

I looked into this some time ago. The decorations are updating just fine,
but the damage events aren't generated for pixmap-only backed drawables on
fglrx.

Maybe things have changed since then :)

> --
> You received this bug notification because you are a member of Compiz
> Maintainers, which is the registrant for Compiz Core.
> https://bugs.launchpad.net/bugs/770283
>
> Title:
> [fglrx]title bar does not update on non-maximized windows
>
> Status in Compiz Core:
> Confirmed
> Status in One Hundred Paper Cuts:
> Invalid
> Status in Unity:
> Confirmed
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
> Status in “compiz” package in openSUSE:
> New
>
> Bug description:
> Binary package hint: unity
>
> I previously reported this as
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/768860. Further
> investigation on my part suggests the issue is with unity-window-
> decorator.
>
> The title bar is not updated on non-maximized windows unless the
> decorator is forced to redraw the title bar--usually on losing focus.
> I have confirmed this with GNOME-Terminal, GIMP, Firefox, and Geeqie.
>
> To reproduce:
> GIMP: Open a file. Modify it. Unless you switched to the Toolbox window, the image name doesn't get a prepended "*" to indicate the file has changed. Save it with CTRL-S. The "*" will not disappear until the window loses focus.
>
> Firefox: Open sites on multiple tabs. Switch between tabs as often as
> you like. The title bar text will not change unless the window loses
> focus. Maximize the Firefox window. Switch between tabs. The global
> menu title bar text will now change with each tab.
>
> GNOME-Terminal: Open a terminal. Change directories. Notice that the
> directory shown in the title bar does not match what is reported by
> `pwd`.
>
> Geeqie: Go to a directory with images. The title bar should change to
> show the name of each image as its displayed. Now maximize the window.
> The "title bar" text changes as each image is selected.
>
> For further testing, I chmod'ed /usr/bin/unity-window-decorator and
> restarted compiz-decorator to force the use of gtk-window-decorator.
> All title bars behaved normally (although I lost the rest of the unity
> interface).
>
> Personally, I find this bug to be a show-stopper. I've been using the
> Unity interface for a week and this is one of the two issues that
> would keep me using the "classic" GNOME interface instead of Unity.
>
> This may be a duplicate of
> https://bugs.launchpad.net/unity/+bug/768356 but I was unable to
> append any comments to that bug. That report was also specific to
> Firefox, which I think is a bit misleading since the issue affects all
> applications which provide feedback via the title bar.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.10-0ubuntu2
> ProcVersionSignatu...

Read more...

Sam, your assessment suggests this is purely an fglrx bug. But comment #10 at least states that it happens with the open source radeon driver too. If that's true then it sounds like too much of a coincidence to be a driver bug.

Download full text (6.1 KiB)

On Fri, 3 Feb 2012, Daniel van Vugt wrote:

> Sam, your assessment suggests this is purely an fglrx bug. But comment
> #10 at least states that it happens with the open source radeon driver
> too. If that's true then it sounds like too much of a coincidence to be
> a driver bug.
>

Its a bug that I've seen happen on and off on different drivers. It used
to be a problem on intel and nouveau but isn't anymore.

> --
> You received this bug notification because you are a member of Compiz
> Maintainers, which is the registrant for Compiz Core.
> https://bugs.launchpad.net/bugs/770283
>
> Title:
> [fglrx]title bar does not update on non-maximized windows
>
> Status in Compiz Core:
> Confirmed
> Status in One Hundred Paper Cuts:
> Invalid
> Status in Unity:
> Confirmed
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
> Status in “compiz” package in openSUSE:
> New
>
> Bug description:
> Binary package hint: unity
>
> I previously reported this as
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/768860. Further
> investigation on my part suggests the issue is with unity-window-
> decorator.
>
> The title bar is not updated on non-maximized windows unless the
> decorator is forced to redraw the title bar--usually on losing focus.
> I have confirmed this with GNOME-Terminal, GIMP, Firefox, and Geeqie.
>
> To reproduce:
> GIMP: Open a file. Modify it. Unless you switched to the Toolbox window, the image name doesn't get a prepended "*" to indicate the file has changed. Save it with CTRL-S. The "*" will not disappear until the window loses focus.
>
> Firefox: Open sites on multiple tabs. Switch between tabs as often as
> you like. The title bar text will not change unless the window loses
> focus. Maximize the Firefox window. Switch between tabs. The global
> menu title bar text will now change with each tab.
>
> GNOME-Terminal: Open a terminal. Change directories. Notice that the
> directory shown in the title bar does not match what is reported by
> `pwd`.
>
> Geeqie: Go to a directory with images. The title bar should change to
> show the name of each image as its displayed. Now maximize the window.
> The "title bar" text changes as each image is selected.
>
> For further testing, I chmod'ed /usr/bin/unity-window-decorator and
> restarted compiz-decorator to force the use of gtk-window-decorator.
> All title bars behaved normally (although I lost the rest of the unity
> interface).
>
> Personally, I find this bug to be a show-stopper. I've been using the
> Unity interface for a week and this is one of the two issues that
> would keep me using the "classic" GNOME interface instead of Unity.
>
> This may be a duplicate of
> https://bugs.launchpad.net/unity/+bug/768356 but I was unable to
> append any comments to that bug. That report was also specific to
> Firefox, which I think is a bit misleading since the issue affects all
> applications which provide feedback via the title bar.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.10-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux...

Read more...

I didn't catch that before in comment 10 about the open source driver. Just to check I installed 11.10 and 12.04 in two seperate partions and with both of them the open source radeon driver is displaying and updating the title bars correctly. This is on amd64 with Radeon HD 4200.

Daniel van Vugt (vanvugt) wrote :

The other possibility to consider is that sometimes a bug in the application code (compiz/unity) is only ever exploited when using a particular driver. This now sounds more likely.

Sam Spilsbury (smspillaz) wrote :

At least as far as I've been able to tell - damage events simply don't come through whenever the decoration is updated.

Daniel van Vugt (vanvugt) wrote :

I've been thinking that compiz needs an option, probably in the opengl plugin, to graphically highlight damage regions. Or even to automatically diff successive frames and highlight where the screen is changing outside of the damage region. It would make diagnosing bugs like this far easier.

Sam Spilsbury (smspillaz) wrote :
Daniel van Vugt (vanvugt) wrote :

Sounds promising, thanks. Though I don't see the showrepaint plugin in core, plugins-main or plugins-extra. Does it exist in any Ubuntu package?

Neil Rodgers (neilr1971) wrote :

I dont think its in any Ubuntu package but you can get it here. http://gnome-look.org/content/show.php/Compiz+Experimental+Plugins+U%2BD+2-4-12?content=118511
The script lets you skip through the plugins and install only the ones you want. I have it in my ccsm, I can turn it on but I'm not sure what I would be looking for.

Kai Mast (kai-mast) wrote :

I had this issue in oneiric but everything works fine in preicse with open-source radeon and fglrx...

Is anybody using precise still having this issue?

Kai Mast (kai-mast) wrote :

Oh sorry.. I actually realized that the gnome-terminal issue still happens in precise. Marking myself as affected.

Changed in compiz-core:
status: Confirmed → In Progress
assignee: nobody → Łukasz Zemczak (sil2100)
importance: Undecided → Medium
no longer affects: unity
24 comments hidden view all 104 comments

for me even on 12.3 it's all still broken

Anders Ström (strom-anders) wrote :

No difference on 12.3 here either (nor the version included at the moment in 12.04). This is a major letdown for the user experience in an LTS-release.

Łukasz Zemczak (sil2100) wrote :

I already have a simple workaround prepared for this bug, but exporting it nicely is a bit more complicated, since its the decorator plugin that I'm hacking. Just a bit more...

looking forward :)

Łukasz Zemczak (sil2100) wrote :

For those that are experiencing the problem - I have uploaded a compiz package with the temporary workaround to my local PPA. You can try installing it and checking, if this workaround fixes the problem in mention. Be aware that it's not the final solution, as including such fixes in the main compiz decor plugin is not the way to go - this should go to compiz-plugins-workarounds. But it'll at least give me certainty that it also fixes the problem on other machines.

ppa:sil2100/ppa

Reinstalling compiz packages is needed (most importantly compiz-plugins-default).

Tell me if it makes any difference on your machines.

Um... I have amd64 version, and it gives me 404 not found.

Łukasz Zemczak (sil2100) wrote :

404? Where? I hope you are using the instructions provided on https://launchpad.net/~sil2100/+archive/ppa to adding this PPA?

Please remember that the compiz workaround might have some buggy side-effects as well. I just would like to know if it's 'the right way' with the bug fix.

David Raid (davidraid) wrote :

There is hope?

Oops, sorry, my fault.
I thought it's for Oneiric also :)

Neil Rodgers (neilr1971) wrote :

I just installed your compiz package and guess what? It works! I'm using fglrx 8.960 on an amd64 laptop with a hd4200 integrated graphics chip. I will continue testing and post back if I notice any side effects. Keep up the great work!

Sune Keller (sune-keller) wrote :

I can also confirm that by adding your PPA and reinstalling compiz-plugins-default, I no longer experience the issue.

darkmatch (alexanderr-otto) wrote :

I added this PPA too and it worked almost perfectly. Sometimes Popups still appear inactive, but just clicking on it is helping

I'm trying your PPA, it'work, but since I added the PPA sometimes when a
program opens a popup (for example nautilus asking you if you want to
overwrite a file or not, libreoffice asking you if you want save your
document using an open format or the MS one), compiz hangs, I cannot
interact with the UI, and I have to kill Xorg. This problem doesn't happen
the first time you open a "popup", but the second or third time you open
different popups (for example at first I save an xls file with libreoffice
-> first popup, nothing happens, then I overwrite an old file with the
newer one -> second popup, compiz hangs and I have to kill Xorg)

Sorry for my poor English

Il giorno 06 aprile 2012 10:05, darkmatch <email address hidden> ha
scritto:

> I added this PPA too and it worked almost perfectly. Sometimes Popups
> still appear inactive, but just clicking on it is helping
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/770283
>
> Title:
> [fglrx]title bar does not update on non-maximized windows
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz-core/+bug/770283/+subscriptions
>

I too am experiencing the freezing of the UI occasionaly when certain windows open. The first time it happened was on a nautilus "properties" dialogue window. It seems it isn't limited to popup windows though as I've gotten the hang while opening programs too. I've only had to kill X once, the other times I just waited a bit and it resolved itself.

Łukasz Zemczak (sil2100) wrote :

Thanks for confirming! I also experienced hangs when using this workaround, since as I mentioned - it might have some buggy side-effects. But at least I know that this is what fixes the problem. I'll do my best to provide a stable and 'good-looking' workaround as soon as possible.

Thank you for your patience.

David Raid (davidraid) wrote :

If your workaround can make it into Precise before release day, you'll have solved a problem that has plagued ATI users, who make up a fairly large chunk of Ubuntu's userbase, since Maverick!

That would CEMENT 12.04's status as the best Ubuntu yet for me.

Thank you so much. :D

David Raid (davidraid) wrote :

Since this issue only affects us FGLRX users, could your workaround be set to only be turned on when FGLRX is installed?

The same way the laggy window fix with FGLRX is now automatic in Precise. (We used to have to go into CCSM and turn off vertical refresh to stop the lagging window issue after installing FGLRX, but now it's automatically done when that driver is in use)

This prevents users that aren't using the proprietary driver from having any unnecessary side effects while letting us have functional window decorations.

Just a thought. :]

Neil Rodgers (neilr1971) wrote :

Łukasz- Thanks so much for your work, I disabled your ppa due to the crashes but it was so awesome to finally see the titlebars come back to life! I'm glad you are working on getting the proper fix to us as soon as possible, but what are the chances of the fix actually landing in Precise? We are awfully close to release. Would it be available via ppa instead? Thanks again!

Jonathan Meek (shroudedcloud) wrote :

I think this is too late to hope to get into Precise. We can hope for an SRU, but I don't know who to talk to about that.

Łukasz Zemczak (sil2100) wrote :

I think I found the reason why my workaround had those side-effects that were hanging up compiz, I'll test this more in the morning and push to my PPA for everyone interested (if it works). It seems I didn't ungrab the X server when there was a failure with rebinding the texture, which essentially led to a hang up probably.
Anyway, adding this fix as a nice compiz-plugins-workaround addition can be really hard in the current state of compiz... I'll consult it with Sam in the morning about this, so maybe we'll find a solution for a real release.

But indeed, not sure if it'll land in Precise. I would like it there as well, but there is almost no time.

Łukasz Zemczak (sil2100) wrote :

Ok, I woke up, tested my changes a bit and it doesn't seem to hang up anymore. So I pushed the new version to my PPA, it should be published by now. Same as before:
ppa:sil2100/ppa (precise only for now).
Please test it if it has any additional side-effects. Thanks!

I talked with Sam Spilsbury and we might probably include this fix as a distro patch for compiz-core. We're in a freeze now, so no way to include it in precise - but we'll push it in the nearest SRU (probably next week?). But first we need to test and review the fix more closely. We don't want to cause any regressions and performance issues, right? Although it doesn't seem like it has any serious implications.

David Raid (davidraid) wrote :

If not the final release of Precise.., could it not be added to the normal flow of updates for Precise once determined that it doesn't cause any serious regressions or performance issues and is deemed ready?

I appreciate that we don't want to risk any problems with the LTS, but.. the problem this aims to fix is a rather big one in regards to the 'Pixel perfect' desktop and ATI users migrating from the last LTS, Lucid, will not be expecting it.

I feel this workaround needs to be there by default, even if it's not turned on in CCSM by default.

Thanks your speedy pushes to the PPA, I can't express how much I appreciate your work in this.

Neil Rodgers (neilr1971) wrote :

Great news Łukasz, I'll continue to test then too and post back here if I notice anything. Thanks so much!!

David- To answer your question about the update being added to the normal flow of updates in Precise, thats what they are trying to do. SRU stands for "stable release update" and they are hoping to push it in there.

David Raid (davidraid) wrote :

Fantastic! If the nearest SRU is next week, and it gets pushed successfully, then is there a chance it might be in Precise on release day? I'm confused by how the feature freeze effects the addition. Do SRUs only get put into effect after the release?

Thanks for the clarifications, Neil. :]

David Burrows (snadge) wrote :

It works for me. I love you Łukasz! Admittedly I haven't given it a huge amount of testing... But creating approx 20 gnome terminals and closing them again, gives the expected result. :D I haven't had anything bad happen yet. I've been using gnome classic (no effects) in the meantime, because that works properly, and gives decent frame rates in minecraft with a HD 7870. ;)

Łukasz Zemczak (sil2100) wrote :

I'm really glad that it works for everyone ;) I'm in the middle of preparing paper-work for this fix to land into the nearest SRU. Since it's only a temporary ugly workaround, there were more steps required for it to get merged. But it's getting closer and closer. Also, I hope having this issue fixed with ATI in the driver itself, so maybe in some time even this workaround will not be required anymore.

Thanks for all your testing!

Changed in compiz (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
description: updated
Changed in compiz (Ubuntu):
status: Confirmed → In Progress
Neil Rodgers (neilr1971) wrote :

Thanks so much Łukasz, and everyone else involved! This was the most annoying bug for me by far, and having it fixed for Precise is just awesome. I'm so excited for the 12.04 release, it's shaping up to be superb!

Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Sam Spilsbury (smspillaz) wrote :

Real fix found, branch linked.

Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-core at revision 3109

Changed in compiz-core:
milestone: none → 0.9.8.0
status: In Progress → Fix Committed
no longer affects: fglrx-installer (Ubuntu)
Daniel van Vugt (vanvugt) wrote :

And fix committed into lp:compiz-core/0.9.7 at revision 3099

summary: - [fglrx]title bar does not update on non-maximized windows
+ [fglrx] Title bar does not update on non-maximized windows
rfkrocktk (rfkrocktk) wrote :

Will it make it into Precise by default?

Daniel van Vugt (vanvugt) wrote :

Yes, the fix will go into precise in compiz version 0.9.7.8. That's likely to happen in May some time.

Daniel van Vugt (vanvugt) wrote :

Fix released in Compiz Core 0.9.7.8.

Hello Kevin, or anyone else affected,

Accepted compiz into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Neil Rodgers (neilr1971) wrote :

I grabbed the update from precise-proposed and after several hours of use I have not noticed any side effects or regressions of any kind. It is working like it is supposed too. Awesome!!

tags: added: verification-done
removed: verification-needed
Anders Ström (strom-anders) wrote :

Confirming that the update in proposed is working fine here. Awesome work from everyone involved!

David Raid (davidraid) wrote :

Confirmed!

This is fantastic, great work and thank you so much. :D

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.8-0ubuntu1

---------------
compiz (1:0.9.7.8-0ubuntu1) precise-proposed; urgency=low

  [ Didier Roche ]
  * New upstream bug fix release:
    - [fglrx] Title bar does not update on non-maximized windows (LP: #770283)
    - Some apps (like Remmina) can't full-screen under Compiz (or Unity)
      (LP: #946388)
    - Compiz-core fails to compile with gcc-4.7 - 'cc1plus: all warnings
      being treated as errors' (LP: #972519)
    - Menu shadow clipping flickers while switching menubar items/indicators
      (LP: #978900)
    - Compiz should not move windows to workspace 0,0 when restarted
      (LP: #980026)
    - regression / unable to interact with window-titlebar (window decoration)
      after minimizing/unminimizing gnome-terminal (LP: #981703)
  * debian/patches/workaround_770283.patch,
    debian/patches/fix_976467.patch:
    - removed, upstreamed

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.

compiz (1:0.9.7.6-0ubuntu2) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/workaround_770283.patch:
    - Workaround a problem with fglrx not refreshing window decoration textures
      on pixmap modification (LP: #770283)

  [ Oliver Grawert ]
  * update GLES patch for new quilt patch, fix issue with GLES patch that
    forcefully unapplied other quilt patches and resulted in
    gtk-window-decorator to not be started.
 -- Didier Roche <email address hidden> Thu, 26 Apr 2012 09:19:51 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in compiz (Ubuntu Precise):
status: Fix Committed → Fix Released
1 comments hidden view all 104 comments
Tsvetko (tsvetko.tsvetkov) wrote :

Nice work! Everything is working fine :-)

Changed in compiz:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Łukasz Zemczak (sil2100)
milestone: none → 0.9.8.0
no longer affects: compiz-core/0.9.8
Changed in compiz-core:
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 104 comments or add a comment.